Summary:	unixODBC - a complete, free/open, ODBC solution for UNIX/Linux
Summary(pl.UTF-8):	unixODBC - kompletne, darmowe/otwarte ODBC dla UNIX/Linuksa
Name:		unixODBC
Version:	2.3.12
Release:	1
License:	LGPL v2+ (libraries), GPL v2+ (programs, News Server driver)
Group:		Libraries
Source0:	ftp://ftp.unixodbc.org/pub/unixODBC/%{name}-%{version}.tar.gz
# Source0-md5:	d62167d85bcb459c200c0e4b5a63ee48
URL:		http://www.unixodbc.org/
BuildRequires:	flex
BuildRequires:	libltdl-devel >= 2:2
BuildRequires:	readline-devel >= 4.2
BuildConflicts:	kdesupport-odbc
Requires(post):	/sbin/ldconfig
%ifarch %{x8664} ia64 ppc64 sparc64 s390x
Provides:	libodbc.so()(64bit)
Provides:	libodbcinst.so()(64bit)
%else
Provides:	libodbc.so
Provides:	libodbcinst.so
%endif
Obsoletes:	libunixODBC2
Obsoletes:	unixODBC-gnome < 2.2.14
Obsoletes:	unixODBC-gnome-devel < 2.2.14
Obsoletes:	unixODBC-gnome-static < 2.2.14
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
unixODBC is a complete, free/open, ODBC solution for UNIX/Linux.

%description -l pl.UTF-8
unixODBC - kompletne, darmowe/otwarte ODBC dla systemów UNIX/Linux.

%package devel
Summary:	unixODBC header files and development documentation
Summary(pl.UTF-8):	Pliki nagłówkowe i dokunentacja do unixODBC
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	libltdl-devel
Obsoletes:	libunixODBC2-devel

%description devel
unixODBC header files and development documentation.

%description devel -l pl.UTF-8
Pliki nagłówkowe i dokunentacja do unixODBC.

%package static
Summary:	unixODBC static libraries
Summary(pl.UTF-8):	Biblioteki statyczne unixODBC
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
unixODBC static libraries.

%description static -l pl.UTF-8
Biblioteki statyczne unixODBC.

%prep
%setup -q

%build
%configure \
	--enable-driver-config \
	--enable-drivers \
	--enable-driverc \
	--enable-static \
	--without-included-ltdl

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_sysconfdir}

:> $RPM_BUILD_ROOT%{_sysconfdir}/odbc.ini
:> $RPM_BUILD_ROOT%{_sysconfdir}/odbcinst.ini

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} -rf doc-install
cp -a doc doc-install
find doc-install  -name 'Makefile*' | xargs -r %{__rm}

# libodbccr.so.1 is lt_dlopened
%{__rm} $RPM_BUILD_ROOT%{_libdir}/libodbccr.{la,a}
# Setup drivers are lt_dlopened by given name (.so or SONAME)
%{__rm} $RPM_BUILD_ROOT%{_libdir}/lib{esoob,mimer,odbc{drvcfg{1,2},mini,my,nn,psql,txt},oplodbc,oraodbc,sapdb,tds}S.la
# Drivers are lt_dlopened by given name (.so or SONAME)
%{__rm} $RPM_BUILD_ROOT%{_libdir}/lib{nn,odbcpsql,template}.{la,a}

# (temporarily) missing in make install
install include/autotest.h $RPM_BUILD_ROOT%{_includedir}

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig
# install text driver
/usr/bin/odbcinst -i -d -r <<EOF
[TXT]
Description = Text file driver
#Driver = %{_libdir}/libodbctxt.so.1
Setup = %{_libdir}/libodbctxtS.so.1
EOF
# install postgresql driver
/usr/bin/odbcinst -i -d -r <<EOF
[PostgreSQL]
Description = PostgreSQL driver
Driver = %{_libdir}/libodbcpsql.so.2
Setup = %{_libdir}/libodbcpsqlS.so.1
EOF

%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog README doc-install/AdministratorManual doc-install/UserManual
%attr(755,root,root) %{_bindir}/dltest
%attr(755,root,root) %{_bindir}/isql
%attr(755,root,root) %{_bindir}/iusql
%attr(755,root,root) %{_bindir}/odbcinst
# can be useful not only for development
%attr(755,root,root) %{_bindir}/odbc_config
%attr(755,root,root) %{_bindir}/slencheck
# some apps dlopen these by *.so
%attr(755,root,root) %{_libdir}/libodbc.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libodbc.so.2
%attr(755,root,root) %{_libdir}/libodbc.so
%attr(755,root,root) %{_libdir}/libodbcinst.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libodbcinst.so.2
%attr(755,root,root) %{_libdir}/libodbcinst.so
# drivers
%attr(755,root,root) %{_libdir}/libnn.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libnn.so.1
%attr(755,root,root) %{_libdir}/libodbccr.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libodbccr.so.2
%attr(755,root,root) %{_libdir}/libodbcpsql.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libodbcpsql.so.2
%attr(755,root,root) %{_libdir}/libtemplate.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libtemplate.so.1
# drivers for dlopening
%attr(755,root,root) %{_libdir}/libnn.so
%attr(755,root,root) %{_libdir}/libodbccr.so
%attr(755,root,root) %{_libdir}/libodbcpsql.so
%attr(755,root,root) %{_libdir}/libtemplate.so
# driver config modules
%attr(755,root,root) %{_libdir}/libesoobS.so
%attr(755,root,root) %{_libdir}/libmimerS.so
%attr(755,root,root) %{_libdir}/libodbcdrvcfg1S.so
%attr(755,root,root) %{_libdir}/libodbcdrvcfg2S.so
%attr(755,root,root) %{_libdir}/libodbcminiS.so
%attr(755,root,root) %{_libdir}/libodbcmyS.so
%attr(755,root,root) %{_libdir}/libodbcnnS.so
%attr(755,root,root) %{_libdir}/libodbcpsqlS.so
%attr(755,root,root) %{_libdir}/libodbctxtS.so
%attr(755,root,root) %{_libdir}/liboplodbcS.so
%attr(755,root,root) %{_libdir}/liboraodbcS.so
%attr(755,root,root) %{_libdir}/libsapdbS.so
%attr(755,root,root) %{_libdir}/libtdsS.so
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/odbc.ini
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/odbcinst.ini
%dir %{_sysconfdir}/ODBCDataSources
%{_mandir}/man1/dltest.1*
%{_mandir}/man1/isql.1*
%{_mandir}/man1/iusql.1*
%{_mandir}/man1/odbc_config.1*
%{_mandir}/man1/odbcinst.1*
%{_mandir}/man5/odbc.ini.5*
%{_mandir}/man5/odbcinst.ini.5*
%{_mandir}/man7/unixODBC.7*

%files devel
%defattr(644,root,root,755)
%doc ChangeLog doc-install/{ProgrammerManual,lst}
%{_libdir}/libodbc.la
%{_libdir}/libodbcinst.la
%{_includedir}/autotest.h
%{_includedir}/odbcinst.h
%{_includedir}/odbcinstext.h
%{_includedir}/sql.h
%{_includedir}/sqlext.h
%{_includedir}/sqlspi.h
%{_includedir}/sqltypes.h
%{_includedir}/sqlucode.h
%{_includedir}/uodbc_extras.h
%{_includedir}/uodbc_stats.h
%{_includedir}/unixodbc.h
%{_includedir}/unixODBC
%{_pkgconfigdir}/odbc.pc
%{_pkgconfigdir}/odbccr.pc
%{_pkgconfigdir}/odbcinst.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libodbc.a
%{_libdir}/libodbcinst.a
%changelog
* Wed Jul 24 2024 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/unixODBC.git;a=log;h=master

* Wed Jul 24 2024 Jakub Bogusz <qboosh@pld-linux.org> f7bd629
- updated to 2.3.12

* Wed Feb 01 2023 Arkadiusz Miśkiewicz <arekm@maven.pl> 9383a12
- Release 2 (by relup.sh)

* Tue Jan 31 2023 Jakub Bogusz <qboosh@pld-linux.org> 45165d9
- updated to 2.3.11

* Thu Oct 17 2019 Arkadiusz Miśkiewicz <arekm@maven.pl> 17baa37
- release 2 (by relup.sh)

* Sun Dec 02 2018 Jakub Bogusz <qboosh@pld-linux.org> 30fac55
- updated to 2.3.7 (fixes CVE-2018-7485, introduces .pc files)

* Sun Mar 18 2018 Jakub Bogusz <qboosh@pld-linux.org> 52ec455
- updated to 2.3.5

* Tue Oct 18 2016 Jan Rękorajski <baggins@pld-linux.org> d8c3e4b
- rebuild with readline 7.0
- release 2 (by relup.sh)

* Sat Oct 31 2015 Jakub Bogusz <qboosh@pld-linux.org> 021df4e
- updated to 2.3.4

* Tue Feb 24 2015 Jan Rękorajski <baggins@pld-linux.org> c16d985
- x32 rebuild
- release 2 (by relup.sh)

* Sat Jan 03 2015 Jan Rękorajski <baggins@pld-linux.org> 732ca7d
- drop unneeded, build breaking, ac/am regeneration

* Sun Nov 03 2013 Jakub Bogusz <qboosh@pld-linux.org> a29a7c4
- updated to 2.3.2

* Wed Aug 08 2012 Jan Rękorajski <baggins@pld-linux.org> b6fbd32
- Release 4

* Wed Aug 08 2012 Jan Rękorajski <baggins@pld-linux.org> 9facd9b
- Create empty ini files for packaging
Use rm macros
Clean up docs in separate directory to allow short-circuit installs

* Fri Mar 09 2012 Jakub Bogusz <qboosh@pld-linux.org> b6091a5
- one more (64bit) arch

* Fri Mar 09 2012 Jakub Bogusz <qboosh@pld-linux.org> 6eee36b
- proper libodbc.so/libodbcinst.so Provides for all archs

* Fri Mar 09 2012 Jan Rękorajski <baggins@pld-linux.org> 60edf9e
- rel 3
- provide plain sonames on x664

* Fri Mar 09 2012 Jan Rękorajski <baggins@pld-linux.org> 2b98d00
- rel 2
- make java-sun happy, put libodbc*.so in main package

* Fri Dec 09 2011 Jakub Bogusz <qboosh@pld-linux.org> 57e0647
- updated to 2.3.1 (note: new sonames for libodbc and libodbcinst)

* Sun Oct 10 2010 Jakub Bogusz <qboosh@pld-linux.org> e5a9897
- updated to 2.3.0
- removed obsolete patches
- Qt GUI parts moved to separate package (Qt4 now)

* Tue Oct 27 2009 Jakub Bogusz <qboosh@pld-linux.org> 06d9279
- updated to 2.2.14
- updated URLs
- updated libltdl-shared patch
- removed obsolete flex,gODBCConfig,types,symbols patches
- GNOME 1.x-based gODBCConfig is gone
- txt driver temporarily(?) gone
- todo: build qt4 GUI parts

